Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TreeItem Class Reference

Inheritance diagram for TreeItem:

List of all members.

## Public Member Functions
def | __init__
def | GetIconName
def | GetLabelText
def | GetSelectedIconName
def | GetSubList
def | GetText
def | GetTextBg
def | GetTextFg
def | IsEditable
def | IsExpandable
def | OnDoubleClick
def | OnSelect
def | SetText

## Detailed Description

    Abstract class representing tree items.

    Methods should typically be overridden, otherwise a default action
    is used.

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

    Constructor.  Do whatever you need to do.

## Member Function Documentation

def GetIconName | ( |  | self | ) |

    Return name of icon to be displayed normally.

Reimplemented in SceneGraphExplorerItem.

def GetLabelText | ( |  | self | ) |

    Return label text string to display in front of text (if any).

def GetSelectedIconName | ( |  | self | ) |

    Return name of icon to be displayed when selected.

def GetSubList | ( |  | self | ) |

    Return list of items forming sublist.

Reimplemented in SceneGraphExplorerItem.

def GetText | ( |  | self | ) |

    Return text string to display.

Reimplemented in SceneGraphExplorerItem.

def GetTextBg | ( |  | self | ) |

def GetTextFg | ( |  | self | ) |

def IsEditable | ( |  | self | ) |

    Return whether the item's text may be edited.

Reimplemented in SceneGraphExplorerItem.

def IsExpandable | ( |  | self | ) |

    Return whether there are subitems.

Reimplemented in SceneGraphExplorerItem.

def OnDoubleClick | ( |  | self | ) |

    Called on a double-click on the item.

def OnSelect | ( |  | self | ) |

    Called when item selected.

Reimplemented in SceneGraphExplorerItem.

def SetText | ( |  | self,
|  |  | text
| ) |  |

    Change the item's text (if it is editable).

Reimplemented in SceneGraphExplorerItem.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties